# Generated from tcxread-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tcxread

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: %{autorelease}
Summary: tcx reader/parser in Ruby
License: MIT
URL: https://github.com/firefly-cpp/tcxread
# Rubygems does not have tests
%dnl Source: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source: %{url}/archive/%{version}/%{gem_name}-%{version}.tar.gz
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(nokogiri)
BuildRequires: rubygem(rake)
BuildRequires: ruby >= 2.6.0
BuildArch: noarch

%description
tcxread is a Ruby package designed to simplify the process of reading and 
processing .tcx files, commonly used by GPS-enabled fitness devices to store
workout data.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
# Tests not installed with gem
ruby test/test_tcxread.rb

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc CHANGELOG.md
# Do not package javascript
%exclude %{gem_docdir}/rdoc

%changelog
%autochangelog
